Summary:	Development environment for children
Summary(pl.UTF-8):	Środowiko programistyczne dla dzieci
Name:		littlewizard
Version:	1.2.2
Release:	4
License:	GPL v2+
Group:		Development/Tools
Source0:	http://downloads.sourceforge.net/littlewizard/%{name}-%{version}.tar.gz
# Source0-md5:	1a6f4405418c8b55b29de0ce5934d73f
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-pixmapsdir.patch
Patch2:		%{name}-desktop.patch
URL:		http://littlewizard.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	gtk+2-devel >= 2:2.4.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.4
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	shared-mime-info
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Development environment for children. Program little wizard without
using keybord, just use the drag and drop system.

%description -l pl.UTF-8
Little wizard ("mały czarodziej") to środowisko programistyczne dla
dzieci. Programuje się w nim bez użycia klawiatury, korzystając z
systemu "złap i upuść".

%package devel
Summary:	Header files for littlewizard
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek littlewizard
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
littlewizard header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek littlewizard.

%package static
Summary:	Static libraries for littlewizard
Summary(pl.UTF-8):	Statyczne biblioteki dla littlewizard
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
littlewizard static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne dla littlewizard.

%prep
%setup -q
%patch -P0 -p1
%patch -P1 -p1
%patch -P2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_icon_cache hicolor
%update_mime_database

%postun
/sbin/ldconfig
%update_icon_cache hicolor
%update_mime_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COMPATIBILITY ChangeLog README TODO
%attr(755,root,root) %{_bindir}/littlewizard
%attr(755,root,root) %{_bindir}/littlewizardtest
%attr(755,root,root) %{_libdir}/liblanguage.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblanguage.so.0
%attr(755,root,root) %{_libdir}/liblw.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblw.so.0
%{_pixmapsdir}/*
%{_desktopdir}/littlewizard.desktop
%{_datadir}/%{name}
%{_datadir}/mime/packages/littlewizard.xml
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblanguage.so
%attr(755,root,root) %{_libdir}/liblw.so
%{_libdir}/liblanguage.la
%{_libdir}/liblw.la
%{_includedir}/littlewizard

%files static
%defattr(644,root,root,755)
%{_libdir}/liblanguage.a
%{_libdir}/liblw.a
%changelog
* Tue Jul 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/littlewizard.git;a=log;h=master

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> bc081df
- Release 4 (by relup.sh)

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> be09054
- Fix applying patches.

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 75804a4
- updated gettext BR

* Wed Apr 06 2011 Artur Frysiak <artur@frysiak.net> e84a002
- updated dekstop.patch
- rel. 3

* Wed Apr 06 2011 Artur Frysiak <artur@frysiak.net> 7759686
- rel. 2

* Sat Feb 05 2011 Artur Frysiak <artur@frysiak.net> 4ed2ed7
- rel. 1

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 99dcf5b
- Requires(post,postun): gtk-update-icon-cache

* Fri Nov 21 2008 lisu <lisu@pld-linux.org> 83e5b96
- up to 1.2.2

* Sun Nov 09 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 700f728
- run %{__libtoolize}
- more verbose files
- release 3

* Sun Nov 09 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 6fecaea
- don't install icons to dirs owned by gnome-icon-theme
- install desktop file via "make install"

* Sun Nov 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 86be7f5
- release 2

* Sat Jul 05 2008 lisu <lisu@pld-linux.org> 5d1de84
- adjust for 1.2.0

* Sat Jul 05 2008 lisu <lisu@pld-linux.org> 02ffae9
- no needed

* Sat Jul 05 2008 lisu <lisu@pld-linux.org> f85bd72
- final 1.2.0 version
- merge with DEVEL
- BR: libselinux-devel
- no international files

* Wed Sep 26 2007 lisu <lisu@pld-linux.org> 6e610bb
- don't set CFLAGS with make, configure is enough

* Wed Sep 26 2007 lisu <lisu@pld-linux.org> db730b1
- fix --as-needed (thanks for Marcin Kwadrans, author of the program)

* Wed Sep 26 2007 lisu <lisu@pld-linux.org> 5c280f2
- new file

* Wed Sep 26 2007 lisu <lisu@pld-linux.org> 2a9ee5f
- no needed

* Wed Sep 26 2007 lisu <lisu@pld-linux.org> 4d2e90b
- up to 1.1.5
- fix --as-needed flag
- use desktop file included with project

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 07ac0ac
- tabs in preamble

